import 'package:diplomaticquarterapp/config/size_config.dart';
import 'package:flutter/material.dart';
import 'package:flutter/material.dart';

class DefaultButton extends StatelessWidget {
  final String text;
  final Function onPress;
  final Color textColor;
  final Color color;
  DefaultButton(this.text, this.onPress, {this.color, this.textColor});
  @override
  Widget build(BuildContext context) {
    return Container(
        height: 60,
        child: RaisedButton(
            shape:
                RoundedRectangleBorder(borderRadius: BorderRadius.circular(10)),
            color: color != null ? color : Colors.grey[700],
            textColor: color != null ? textColor : Colors.white,
            child: Text(
              this.text,
              style: TextStyle(fontSize: SizeConfig.textMultiplier * 2),
            ),
            onPressed: () => this.onPress()));
  }
}
